package com.muyu.common.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @Author：zhangzhihao
 * @name：assetAccredit
 * @Date：2024/8/30 9:29
 * 不准抄代码，添加注释，清楚每一行代码意思
 */
@EqualsAndHashCode(callSuper = true)
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@TableName(value="asset_accredit")
public class AssetAccredit extends BaseEntity {
    /**
     * 主键
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 接入id
     */
    @Excel(name = "数据源ID")
    private Long basicId;

    /**
     * 表id
     */
    @Excel(name = "表ID")
    private Long tableId;

    /**
     * 部门id
     */
    @Excel(name = "部门ID")
    private Long deptId;

    /**
     * 用户id
     */
    @Excel(name = "用户ID")
    private Long userId;

}
