package com.muyu.common.domain.req;

import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.web.domain.BaseEntity;
import com.muyu.common.domain.DictionaryData;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

/**
 * @Author：zhangzhihao
 * @name：AssetModel
 * @Date：2024/8/25 9:36
 * 不准抄代码，添加注释，清楚每一行代码意思
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@EqualsAndHashCode(callSuper = true)
@TableName(value="asset_model")
public class AssetModel extends BaseEntity {

    /**
     *主键
     *
     * **/
    private Long id;
    /**
     *数据资产id
     *
     * **/
    private Long dataAssetId;
    /**
     *字段名字
     *
     * **/
    private String name;
    /**
     *
     *字段备注
     * **/
    private String comment;
    /**
     *
     *是否主键
     * **/
    private String isPrimaryKey;
    /**
     *数据类型
     *
     * **/
    private String type;
    /**
     *映射数据字典
     *
     * **/
    private String mappingType;
    /**
     *长度
     *
     * **/
    private String length;
    /**
     *小数位
     *
     * **/
    private String decimalPlaces;
    /**
     *
     *是否不可以为空
     * **/
    private String isNull;
    /**
     *
     *是否是字典
     * **/
    private String isDict;
    /**
     *是否是默认值
     *
     * **/
    private String defaultValue;
    /**
     *字典key
     *
     * **/
    private String dictKey;
    /**
     *
     * 字典key
     * */
    private Long dictionaryId;

    /**
     * 字典信息
     * */
    private List<DictionaryData> dictionaryDataList;
}
