package com.muyu.remote.factory;

import com.muyu.common.core.domain.Result;
import com.muyu.common.domain.DataSources;
import com.muyu.remote.DataSourcesRemote;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

@Component
public class DataSourcesFactory implements FallbackFactory<DataSourcesRemote> {
    @Override
    public DataSourcesRemote create(Throwable cause) {
        return new DataSourcesRemote() {
            @Override
            public Result<DataSources> queryById(Long id) {
                return null;
            }
        };
    }
}
