package com.muyu.datasources.controller;

import com.muyu.common.core.domain.Result;
import com.muyu.datasources.service.ProductService;
import com.muyu.etl.domain.DataValue;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @Author：zhangzhihao
 * @name：ProductController
 * @Date：2024/9/2 21:12
 * 不准抄代码，添加注释，清楚每一行代码意思
 */
@Log4j2
@RestController
@RequestMapping("/product")
public class ProductController {

    @Autowired
    private ProductService productService;

    @PostMapping("/addProduct")
    public Result addProduct(@RequestParam("basicId") Long basicId, @RequestParam("tableId") Long tableId, @RequestBody DataValue[][] listList){
        long begin = System.currentTimeMillis();

        int i = productService.addProduct(basicId,tableId,listList);


        long end = System.currentTimeMillis();

        long allTime = end - begin;
        log.info("添加到产品数据库耗时:"+allTime);

        return Result.success(i);
    }

}
