package com.muyu.datasources.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.common.domain.AssetAccredit;
import com.muyu.common.domain.req.AssetAccreditReq;
import com.muyu.common.domain.resp.AssetAccreditResp;
import com.muyu.common.system.domain.SysDept;
import com.muyu.datasources.mapper.AssetAccreditMapper;
import com.muyu.datasources.service.AssetAccreditService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Author：zhangzhihao
 * @name：AssetAccreditServiceImpl
 * @Date：2024/8/30 9:39
 * 不准抄代码，添加注释，清楚每一行代码意思
 */
@Service
public class AssetAccreditServiceImpl extends ServiceImpl<AssetAccreditMapper, AssetAccredit> implements AssetAccreditService {

    @Autowired
    private AssetAccreditMapper assetAccreditMapper;


    @Override
    public List<Long> findUserIdList(AssetAccreditReq req) {
        List<Long> userIdList = assetAccreditMapper.findUserIdList(req);
        return userIdList;
    }

    @Override
    public int delUserAssetAccredit(AssetAccreditReq req) {
        LambdaQueryWrapper<AssetAccredit> queryWrapper = new LambdaQueryWrapper<>();
        if (null==req.getBasicId()){
            queryWrapper.eq(AssetAccredit::getUserId,req.getUserId())
                    .eq(AssetAccredit::getTableId,req.getTableId());
        }else if (null==req.getTableId()){
            queryWrapper.eq(AssetAccredit::getUserId,req.getUserId())
                    .eq(AssetAccredit::getBasicId,req.getBasicId());
        }

        int delete = assetAccreditMapper.delete(queryWrapper);
        return delete;
    }

    @Override
    public int delDeptAssetAccredit(AssetAccreditReq req) {
        LambdaQueryWrapper<AssetAccredit> queryWrapper = new LambdaQueryWrapper<>();
        if (null==req.getBasicId()){
            queryWrapper.eq(AssetAccredit::getDeptId,req.getDeptId())
                    .eq(AssetAccredit::getTableId,req.getTableId());
        }else if (null==req.getTableId()){
            queryWrapper.eq(AssetAccredit::getDeptId,req.getDeptId())
                    .eq(AssetAccredit::getBasicId,req.getBasicId());
        }

        int delete = assetAccreditMapper.delete(queryWrapper);
        return delete;
    }

    @Override
    public List<Long> findDeptIdList(AssetAccreditReq req) {
        List<Long> deptIdList = assetAccreditMapper.findDeptIdList(req);
        return deptIdList;
    }

    @Override
    public List<AssetAccreditResp> findTableIdAndBasicIdByUserId(Long userId) {


        List<AssetAccreditResp> list = assetAccreditMapper.findTableIdAndBasicIdByUserId(userId);
        return list;
    }

    @Override
    public List<AssetAccreditResp> findTableIdAndBasicIdByDeptId(Long deptId) {

        List<AssetAccreditResp> list = assetAccreditMapper.findTableIdAndBasicIdByDeptId(deptId);
        return list;
    }


}
