package com.muyu.datasources.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.common.domain.Structure;
import com.muyu.datasources.mapper.StructureMapper;
import com.muyu.datasources.service.StructureService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Author：zhangzhihao
 * @name：StructureServiceImpl
 * @Date：2024/8/25 16:49
 * 不准抄代码，添加注释，清楚每一行代码意思
 */
@Service
public class StructureServiceImpl extends ServiceImpl<StructureMapper, Structure> implements StructureService {

    @Autowired
    private StructureMapper structureMapper;

    @Override
    public List<Structure> findStructureByTableId(Long id) {
        LambdaQueryWrapper<Structure> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(Structure::getTableId,id);
        List<Structure> list = structureMapper.selectList(queryWrapper);
        return list;
    }
}
